Subject: Re: [bitcoin-dev] Bulletin boards without selective censorability for bitcoin fungibility markets

From: AdamISZ <[email-masked]>
Date: Mon, 23 Nov 2020 12:24:18 +0000

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Monday, 23 November 2020 00:40, AdamISZ via bitcoin-dev <[email-masked]> wrote:

> Canvassing opinions/critiques from those working on bitcoin and related protocols.
>
> See the attached gist for a write-up of an outline of an idea, which is conceived for joinmarket but can apply in other scenarios where there is market for liquidity and in which privacy is a very high priority (hence 'bitcoin fungibility markets' can certainly include coinswap along with coinjoin, but possibly other things):
>
> https://gist.github.com/AdamISZ/b52704905cdd914ec9dac9fc52b621d6

Greg Maxwell pointed out to me on IRC that this idea doesn't work: there is only a receipt on the commitment to the offer (message) from the maker, not on the plaintext version, hence there is nothing stopping the maker from falsely claiming censorship after not sending the plaintext.

Reflecting on this a bit more, my intuition is that this problem is much more difficult than I had hoped; if there is a solution I suspect it involves much more sophisticated ideas. Many solutions just end up begging the question by presuming the existence of an uncensorable BB in order to create a new one; and/or use the blockchain for that function, but that is too slow and expensive, usually. I'd be happy to be proved wrong, though :)

waxwing